Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class DeclarationExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.BinaryExpression
                      org.codehaus.groovy.ast.expr.DeclarationExpression

    public class DeclarationExpression

extends BinaryExpression

Represents a local variable name declaration, an expression like "def foo" or with type "String foo".

Version:
  $Revision: 13691 $
Author:
  Jochen Theodorou

Constructor Summary
`DeclarationExpression(Expression left, Token operation, Expression right)`
`DeclarationExpression(VariableExpression left, Token operation, Expression right)`

Method Summary
`VariableExpression` | `getVariableExpression()`
`boolean` | `isMultipleAssignmentDeclaration()`
`void` | `setLeftExpression(Expression leftExpression)`
`void` | `setRightExpression(Expression rightExpression)`
`Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.BinaryExpression
`getLeftExpression, getOperation, getRightExpression, getText, newAssignmentExpression, newInitializationExpression, toString`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode
`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeclarationExpression

    public DeclarationExpression(VariableExpression left,
                                 Token operation,
                                 Expression right)

### DeclarationExpression

    public DeclarationExpression(Expression left,
                                 Token operation,
                                 Expression right)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `BinaryExpression`

### getVariableExpression

    public VariableExpression getVariableExpression()

### setLeftExpression

    public void setLeftExpression(Expression leftExpression)

  Overrides:
    `setLeftExpression` in class `BinaryExpression`

### setRightExpression

    public void setRightExpression(Expression rightExpression)

  Overrides:
    `setRightExpression` in class `BinaryExpression`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Overrides:
    `transformExpression` in class `BinaryExpression`

### isMultipleAssignmentDeclaration

    public boolean isMultipleAssignmentDeclaration()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD